import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listIn(query) {
  return request({
    url: '/app/pmsOrderIn/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getIn(listId) {
  return request({
    url: '/app/pmsOrderIn/' + listId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addIn(data) {
  return request({
    url: '/app/pmsOrderIn',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateIn(data) {
  return request({
    url: '/app/pmsOrderIn',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delIn(ids) {
  return request({
    url: '/app/pmsOrderIn/' + ids,
    method: 'delete'
  })
}
//新增出库通知单
export function createOrderIn(data){
  return request({
    url: '/app/pms/orderInList',
    method: 'post',
    data: data
  })
}
//新增出库通知单
export function updateOrderIn(data){
  return request({
    url: '/app/pms/updateOrderIn',
    method: 'post',
    data: data
  })
}
